Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.build
Class FSParser

    java.lang.Object
      org.basex.core.Progress
          org.basex.build.FSParser

    public final class FSParser

extends Progress

Creates a database that maps a file system hierarchy.

Author:
  Workgroup DBIS, University of Konstanz 2005-10, ISC License, Bastian Lemke

Constructor Summary
`FSParser(String path, Context ctx, String dbname)` Constructor.

Method Summary
`String` | `det()` Returns short information on this process.
`void` | `parse()` Recursively parses the given path.
`double` | `prog()` Returns progress information.
`String` | `tit()` Returns short information on this process.

Methods inherited from class org.basex.core.Progress
`abort, checkStop, detail, progress, progress, stop, title`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FSParser

    public FSParser(String path,
                    Context ctx,
                    String dbname)

  Constructor.

  Parameters:
    `path` - import root
    `ctx` - the database context to use
    `dbname` - name of the database

Method Detail

### parse

    public void parse()

  Recursively parses the given path.

### tit

    public String tit()

  Description copied from class: `Progress`
  Returns short information on this process. Can be overwritten to give more detailed information.

  Overrides:
    `tit` in class `Progress`
  Returns:
    header information

### det

    public String det()

  Description copied from class: `Progress`
  Returns short information on this process.

  Overrides:
    `det` in class `Progress`
  Returns:
    header information

### prog

    public double prog()

  Description copied from class: `Progress`
  Returns progress information. Can be overwritten to give more detailed information.

  Overrides:
    `prog` in class `Progress`
  Returns:
    header information

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD